# RegistrysaveSpaceLabel

Endpoint: PUT /har/api/v1/spaces/{space_ref}/labels
Version: 1.0
Security: x-api-key

## Path parameters:

  - `space_ref` (string, required)

## Request fields (application/json):

  - `label` (object)

  - `label.color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `label.description` (string)

  - `label.id` (integer)

  - `label.key` (string)

  - `label.type` (string)
    Enum: "dynamic", "static"

  - `values` (array)

  - `values.color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `values.id` (integer)

  - `values.value` (string)

## Response 200 fields (application/json):

  - `label` (object)

  - `label.color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `label.created` (integer)

  - `label.created_by` (integer)

  - `label.description` (string)

  - `label.id` (integer)

  - `label.key` (string)

  - `label.scope` (integer)

  - `label.space_id` (integer,null)

  - `label.type` (string)
    Enum: "dynamic", "static"

  - `label.updated` (integer)

  - `label.updated_by` (integer)

  - `label.value_count` (integer)

  - `values` (array)

  - `values.color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `values.created` (integer)

  - `values.created_by` (integer)

  - `values.id` (integer)

  - `values.label_id` (integer)

  - `values.updated` (integer)

  - `values.updated_by` (integer)

  - `values.value` (string)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


